<div>
    <h2>
        <span jhiTranslate="mpmApp.currency.home.title">Currencies</span>
        <button class="btn btn-primary float-right jh-create-entity create-currency" [routerLink]="['/', { outlets: { popup: ['currency-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.currency.home.createLabel">
            Create new Currency
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.currency.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="currencies">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="mpmApp.currency.idPurchaseOrder">Id Purchase Order</span></th>
            <th><span jhiTranslate="mpmApp.currency.noPurchaseOrder">No Purchase Order</span></th>
            <th><span jhiTranslate="mpmApp.currency.dtOrder">Dt Order</span></th>
            <th><span jhiTranslate="mpmApp.currency.divition">Divition</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let currency of currencies ;trackBy: trackId">
                <td><a [routerLink]="['../currency', currency.id ]">{{currency.id}}</a></td>
                <td>{{currency.idPurchaseOrder}}</td>
                <td>{{currency.noPurchaseOrder}}</td>
                <td>{{currency.dtOrder | date:'mediumDate'}}</td>
                <td>{{currency.divition}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../currency', currency.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'currency/'+ currency.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'currency/'+ currency.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
